commit:     77ebe4877f93439798bddec41a56b036f80d90a6
Author:     Brett A C Sheffield <bacs <AT> librecast <DOT> net>
AuthorDate: Thu Feb 19 14:11:15 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 19:00:47 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77ebe487

www-servers/varnish: fix python shebangs

Fix python shebangs for python-exec[-native-symlinks].

Closes: https://bugs.gentoo.org/909330
Signed-off-by: Brett A C Sheffield <bacs <AT> librecast.net>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/81
Signed-off-by: Sam James <sam <AT> gentoo.org>

 www-servers/varnish/varnish-8.0.0-r1.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/www-servers/varnish/varnish-8.0.0-r1.ebuild 
b/www-servers/varnish/varnish-8.0.0-r1.ebuild
index a62c6d02b1cf..a172a7899245 100644
--- a/www-servers/varnish/varnish-8.0.0-r1.ebuild
+++ b/www-servers/varnish/varnish-8.0.0-r1.ebuild
@@ -50,6 +50,11 @@ PATCHES=(
 src_prepare() {
        default
 
+       # Fix python shebangs for python-exec[-native-symlinks], #909330
+       local shebangs=($(grep -rl "#!/usr/bin/env python3" || die))
+       python_setup
+       python_fix_shebang -q ${shebangs[*]}
+
        # Remove -Werror bug #528354
        sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac || die
 

Reply via email to